Subject: FW: Official Invitation to Brief - International Dismounted Soldier Conference 2026
From: "Olev Aarma" <[email-masked]>
To: KV Jagatud KVPS Üldmeil <[email-masked]>
Date: Fri, 10 Jul 2026 12:59:56 +0300

Tere

Segaduste vältimiseks, palun registreerige ja siis vastavalt vajadusele asjaomastele. Minul seda pädevust ei ole.

Lugupidamisega/ Sincerely

Olev Aarma

Diviisi ülema strateegilise kommunikatsiooni nõunik/

StratCom Adviser to the Commander of the EST DIV

+372   7191008

+372 51993630

 

From: Summer Dakin <[email-masked]> 
Sent: Friday, July 10, 2026 12:51 PM
To: Olev Aarma <[email-masked]>
Cc: Alice Andrews <[email-masked]>; KV Jagatud KVPS Üldmeil <[email-masked]>
Subject: Official Invitation to Brief - International Dismounted Soldier Conference 2026

Dear Lieutenant Colonel Vjatšeslav Senin, 

I hope this email finds you well. 

I am writing as the Conference Director for Defence IQ’s International Dismounted Soldier Conference, taking place in London on 2 – 3 December 2026. 

On behalf of our Conference Chairman, Major General (Ret’d) Gary Deakin, Former Chief of Staff, NATO Joint Force Command, it is my pleasure to invite you to brief at this year’s event. 

The conference brings together senior military leaders, government representatives, industry, and the international dismounted soldier community to examine the future of land warfare and the evolving demands placed upon the modern soldier. 

Event details: 

*	Date: 2 – 3 December 2026
*	Location: Novotel London West, London 

As the character of conflict continues to change, your experience in enhancing situational awareness and supporting informed decision-making at the tactical level would resonate strongly with our international audience. I am confident your insights would make a valuable contribution to discussions on how infantry forces can adapt to increasingly complex operational environments and maintain their effectiveness on the future battlefield. 

Early Confirmed Speakers Include: 

Major General Karl Ford CB CBE, Director of Defence Planning, NATO HQ 

Brigadier General David Pack OBE, Head, Personnel Strategy, British Army 

Brigadier General Mark Parsons CD, Commander – 5th Canadian Division & Director General Capability Development, Canadian Armed Forces 

Brigadier General Per Nilsson, Deputy Army Commander, Swedish Army – STC 

Colonel Tim Turner, Deputy Commander – Army Special Operations Brigade, British Army 

Colonel Tom Tobinson OBE, Incoming Commander – 4th Light Brigade, British Army 

Professor Vadym Sluysar, Chief of R&D Group, MOD of Ukraine 

We would welcome your suggestion for a specific topic and work with your office to include this on the agenda at an appropriate time. 

If this invite is of interest, I would be grateful for an indication of availability before July 16th. I would also be pleased to provide any further information that may assist with your consideration. 

Thank you for your time, and I hope to hear from you soon. 

Kind regards, 

Summer Dakin
Conference Producer | Defence iQ

______________________________________________________

Email: [email-masked] <mailto:[email-masked]>  | Mail: IQPC Ltd, 129 Wilton Road, London, United Kingdom, SW1V 1JZ

We respect your right to privacy. Read our privacy policy <https://www.iqpc.com/privacy-policy> .
Stay in control and manage your contact preferences <https://response.iqpc.com/subscribe> , or unsubscribe <https://response.iqpc.com/unsubscribe-confirmation>  from direct marketing.

P Please consider the environment before printing this email